/*------------------------------------*/
/*     CREACIÓN DE BASE DE DATOS      */
/*------------------------------------*/

DROP DATABASE IF EXISTS METEO;

CREATE DATABASE METEO;

USE METEO;

CREATE TABLE CIUDAD(
	codigo VARCHAR(50), 
	nombre varchar(30), 
	PRIMARY KEY(codigo)
);
DESC CIUDAD;

CREATE TABLE TEMPERATURA(
	dia DATE,
	codigo_CIUDAD VARCHAR(50),
	grados SMALLINT,
	PRIMARY KEY(codigo_CIUDAD),
	FOREIGN KEY(codigo_CIUDAD) REFERENCES CIUDAD(codigo)
);
DESC TEMPERATURA;

CREATE TABLE HUMEDAD(
	dia DATE,
	codigo_CIUDAD VARCHAR(50),
	porcentaje SMALLINT,
	PRIMARY KEY(codigo_CIUDAD),
	FOREIGN KEY(codigo_CIUDAD) REFERENCES CIUDAD(codigo)
);
DESC HUMEDAD;

CREATE TABLE INFORME(
	ID INT AUTO_INCREMENT,
	dia DATE,
	codigo_CIUDAD VARCHAR(50),
	PRIMARY KEY(ID),
	FOREIGN KEY(codigo_CIUDAD) REFERENCES CIUDAD(codigo)
);

/*------------------------------------*/
/*  INSERCIÓN DE DATOS EN LAS TABLAS  */
/*------------------------------------*/

INSERT INTO CIUDAD VALUES
	('A001','Madrid'),
	('A002','Barcelona')
;
SELECT * FROM CIUDAD;

INSERT INTO TEMPERATURA VALUES
	('2019-01-16','A002',15),
	('2019-01-16','A001',10)
;
SELECT * FROM TEMPERATURA;

INSERT INTO HUMEDAD VALUES
	('2019-01-17','A002',80),
	('2019-01-18','A001',60)
;
SELECT * FROM HUMEDAD;

INSERT INTO INFORME(dia,codigo_ciudad) VALUES
	('2019-01-15','A001'),
	('2019-01-16','A002')
;
SELECT * FROM INFORME;














